skb_dequeue_tail
Prev | Socket Buffer Functions | Next

## Name

skb_dequeue_tail — remove from the tail of the queue

## Synopsis

`struct sk_buff * skb_dequeue_tail (` | struct sk_buff_head * | list`)`;

## Arguments

`list`

  list to dequeue from

## Description

Remove the tail of the list. The list lock is taken so the function may be used safely with other locking list functions. The tail item is returned or `NULL` if the list is empty.

Prev | Up | Next
skb_dequeue | Home | skb_queue_purge